Bug 744632 - esteid-browser-plugin fails with pin2 when nspluginwrapper is installed
Summary: esteid-browser-plugin fails with pin2 when nspluginwrapper is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nspluginwrapper
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-09 20:17 UTC by Mihkel Vain
Modified: 2011-11-25 02:23 UTC (History)
3 users (show)

Fixed In Version: nspluginwrapper-1.4.4-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 04:28:33 UTC
Type: ---


Attachments (Terms of Use)

Description Mihkel Vain 2011-10-09 20:17:22 UTC
Description of problem:

When trying to sign a document (give pin2) in eesti.ee portal, esteid-browser-plugin fails to sign a document, because nspluginwrapper is installed.

Version-Release number of selected component (if applicable):

nspluginwrapper 1.4.4-1.fc16
esteid-browser-plugin.x86_64 0:1.3.0-2.fc16

How reproducible:

Happens every time


Steps to Reproduce:

1. Make sure nspluginwrapper and Estonian ID card software is installed
2. Navigate to www.eesti.ee in desire to digitally sign a document
3. Signing process fails with message " ID-kaardiga allkirjastamine 
ebaõnnestus!"

4. remove nspluginwrapper with "yum remove nspluginwrapper"
5. repeat step nr 2
6. Signing document succeeds. Yay.

Additional info:

Comment 1 Mihkel Vain 2011-10-09 20:25:11 UTC
Sorry for making this ticket against nspluginwrapper, but esteid-browser-plugin was not listed in components list. So I just picked one :)

Comment 2 Kalev Lember 2011-10-09 20:36:48 UTC
I am the esteid-browser-plugin maintainer.

I haven't really looked at why it doesn't work with nspluginwrapper, but a solution might be to add npesteid.so to IGNORE_WRAP list.

Most people who install esteid-browser-plugin are going to also have mozilla-esteid extension installed, which turns on the Out-of-process mode by default for npesteid.so. And it also comes from the Fedora repos, so people won't be trying to use the 32 bit npesteid.so with 64 bit browser. So in my opinion wrapping it with nspluginwrapper is pretty much useless (and causing problems, like this bug report indicates).

Martin Stransky, would you be OK if I (as provenpackager) add esteid-browser-plugin to the nspluginwrapper's exclude list?

Comment 3 Fedora Update System 2011-10-12 11:23:44 UTC
nspluginwrapper-1.4.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.4.4-2.fc15

Comment 4 Fedora Update System 2011-10-12 11:23:54 UTC
nspluginwrapper-1.4.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.4.4-2.fc16

Comment 5 Fedora Update System 2011-10-13 00:52:56 UTC
Package nspluginwrapper-1.4.4-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspluginwrapper-1.4.4-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14205
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-19 04:28:33 UTC
nspluginwrapper-1.4.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-10-24 13:31:44 UTC
nspluginwrapper-1.4.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.4.4-3.fc15

Comment 8 Fedora Update System 2011-10-24 13:32:00 UTC
nspluginwrapper-1.4.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nspluginwrapper-1.4.4-3.fc16

Comment 9 Fedora Update System 2011-11-05 01:18:55 UTC
nspluginwrapper-1.4.4-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-11-25 02:23:01 UTC
nspluginwrapper-1.4.4-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.